This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

AddBaselineAssignment

1 - 1.2

post /v1/baseline-assignments/{assignment_id}

Description

add a new baseline assignment

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
Root/Organization Unit/Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
bodybody
required

BaselineAssignmentAddRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBaselineAssignmentAddResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.2"

Request body

{
    "agree_yn": "Y",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "resource_type": "OU",
    "sso_user_name": "testuser",
    "sso_user_real_name": "test user"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "OU"
}

2 - 1.1

post /v1/baseline-assignments/{assignment_id}

Description

add a new baseline assignment

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260630

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
Root/Organization Unit/Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
bodybody
required

BaselineAssignmentAddRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBaselineAssignmentAddResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "agree_yn": "Y",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "resource_type": "OU",
    "sso_user_name": "testuser",
    "sso_user_real_name": "test user"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "OU"
}

3 - 1.0

post /v1/baseline-assignments/{assignment_id}

Description

add a new baseline assignment

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathassignment_id
required
Root/Organization Unit/Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
bodybody
required

BaselineAssignmentAddRequest

Responses

HTTP CodeDescriptionSchema
201CreatedBaselineAssignmentAddResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/baseline-assignments/{assignment_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "agree_yn": "Y",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "resource_type": "OU",
    "sso_user_name": "testuser",
    "sso_user_real_name": "test user"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "resource_type": "OU"
}